### Enumeration

# Fwupd VersionFormat

#### Declaration

    enum Fwupd.VersionFormat

#### Description [src]

The flags used when parsing version numbers.

If no verification is required then `FWUPD_VERSION_FORMAT_PLAIN` should be used to signify an unparsable text string.

#### Members

Name | Description
--- | ---
`FWUPD_VERSION_FORMAT_UNKNOWN` | Unknown version format.
`FWUPD_VERSION_FORMAT_PLAIN` | An unidentified format text string.
`FWUPD_VERSION_FORMAT_NUMBER` | A single integer version number.
`FWUPD_VERSION_FORMAT_PAIR` | Two AABB.CCDD version numbers.
`FWUPD_VERSION_FORMAT_TRIPLET` | Microsoft-style AA.BB.CCDD version numbers.
`FWUPD_VERSION_FORMAT_QUAD` | UEFI-style AA.BB.CC.DD version numbers.
`FWUPD_VERSION_FORMAT_BCD` | Binary coded decimal notation.
`FWUPD_VERSION_FORMAT_INTEL_ME` | Intel ME-style bitshifted notation.
`FWUPD_VERSION_FORMAT_INTEL_ME2` | Intel ME-style A.B.CC.DDDD notation notation, with offset 11.
`FWUPD_VERSION_FORMAT_SURFACE_LEGACY` | Legacy Microsoft Surface 10b.12b.10b.
`FWUPD_VERSION_FORMAT_SURFACE` | Microsoft Surface 8b.16b.8b.
`FWUPD_VERSION_FORMAT_DELL_BIOS` | Dell BIOS BB.CC.DD style.
`FWUPD_VERSION_FORMAT_HEX` | Hexadecimal 0xAABCCDD style.
`FWUPD_VERSION_FORMAT_DELL_BIOS_MSB` | Dell BIOS AA.BB.CC style.
`FWUPD_VERSION_FORMAT_INTEL_CSME19` | Intel ME-style bitshifted notation, with offset 19.